<template>
  <el-button type="primary" size="small" @click="$refs.indexRef.open()">
    <index ref="indexRef" @changeParent="changeParent"></index>
    选择
  </el-button>
</template>

<script>
  import index from './index.vue';

  export default {
    components: {
      index
    },
    data() {
      return {}
    },

    methods: {
      changeParent(data) {
        this.$emit('changeParent', data);
      }
    }
  };
</script>

<style lang="scss" scoped></style>
